﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;
using Windows.UI.Core;
using Windows.UI.Xaml.Controls;

namespace FontTest
{
	public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
			var cc = System.Globalization.CultureInfo.CurrentCulture;

			var task = new Task(async () => {
				StringBuilder sb = new StringBuilder();
				IList<string> fonts = NativeFont.NativeFont.Enum("ja-jp");
				foreach(var name in fonts) {
					sb.AppendLine(name);
				}

				await Dispatcher.RunAsync(CoreDispatcherPriority.Normal, () =>
				{
					textBox.Text = sb.ToString();
				});
			});
			task.Start();
        }
    }
}
